Package org.apache.sysds.runtime.io

# Class FrameReaderParquetParallel

java.lang.Object
org.apache.sysds.runtime.io.FrameReader
org.apache.sysds.runtime.io.FrameReaderParquet
org.apache.sysds.runtime.io.FrameReaderParquetParallel

public class FrameReaderParquetParallel extends FrameReaderParquet
Multi-threaded frame parquet reader.

## Constructor Summary

Constructors
Constructor
Description
`FrameReaderParquetParallel()`

## Method Summary

### Methods inherited from class org.apache.sysds.runtime.io.FrameReaderParquet

`readFrameFromHDFS, readFrameFromInputStream`

### Methods inherited from class org.apache.sysds.runtime.io.FrameReader

`getDefColNames, getDefSchema, readFrameFromHDFS, readFrameFromHDFS, readFrameFromInputStream, readFrameFromInputStream`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameReaderParquetParallel

public FrameReaderParquetParallel()